## apport 2.20.10-0ubuntu13

=== debian/changelog ===
apport (2.20.10-0ubuntu13) cosmic; urgency=medium

  * Fix PEP8 605 warnings and ignore 503,504 ones. 

 -- Brian Murray <brian@ubuntu.com>  Thu, 11 Oct 2018 14:35:11 -0700

apport (2.20.10-0ubuntu12) cosmic; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 18.10
    release.
  * data/general-hooks/ubuntu.py: include apport conffiles so we know if
    people have manually turned on crash reporting to Launchpad or if
    something is wrong with apport.

 -- Brian Murray <brian@ubuntu.com>  Thu, 11 Oct 2018 11:54:22 -0700

apport (2.20.10-0ubuntu11) cosmic; urgency=medium

  * Drop build/test dependency on obsolete libnih-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Sep 2018 20:28:31 -0700

apport (2.20.10-0ubuntu10) cosmic; urgency=medium

  * Handle old reports generated pre-apport with "remember" option.
    If the option isn't there, consider as false. (LP: #1791324)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 10 Sep 2018 18:17:09 +0200

apport (2.20.10-0ubuntu9) cosmic; urgency=medium

  * Revert the accidental bad changes introduced by the previous upload.
    Sorry!

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 22 Aug 2018 17:01:05 -0700

apport (2.20.10-0ubuntu8) cosmic; urgency=medium

  * Add an alternative Recommends on lxqt-notificationd for the apport-kde
    package so kubuntu-notification-helper isn't pulled in on Lubuntu.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 21 Aug 2018 00:51:40 -0500

apport (2.20.10-0ubuntu7) cosmic; urgency=medium

  * tests/test_ui_gtk.py: Increase the timeout so that when the autopkgtest
    infrastructure is busy the tests should not fail. (LP: #1780767)

 -- Brian Murray <brian@ubuntu.com>  Tue, 24 Jul 2018 08:03:49 -0700

apport (2.20.10-0ubuntu6) cosmic; urgency=medium

  * Start apport-autoreport after installing apport-noui.

 -- Brian Murray <brian@ubuntu.com>  Tue, 17 Jul 2018 13:27:49 -0700

apport (2.20.10-0ubuntu5) cosmic; urgency=medium

  *  Assume if no whoopsie that crash reporting is enabled:
     As the old configuration that was a whoopsie configuration file that was
     that was never updated by the whoopsie API, we assume that no
     whoopsie installed (not the default) == manual send report is allowed.
     If people want to disable crash reporting:
     - get whoopsie installed and disable crash reporting in g-c-c
     - uninstall apport

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 02 Jul 2018 10:59:22 +0200

apport (2.20.10-0ubuntu4) cosmic; urgency=medium

  * Add a remember option to whoopsie so that users can diminish
    crash interactions (LP: #1778497)
  * Move apport autoreport service files to apport binary package.
    Having them in apport-noui was creating a bug where autoreport
    wasn't working on desktop. As we check in the launched script
    for whoopsie and autoreport file, we don't autoreport by default.
    (LP: #1778694)
    apport-noui still touches the file to enable autoreport on install.
  * Remove upstart service and watershed dependency.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 29 Jun 2018 15:35:52 +0200

apport (2.20.10-0ubuntu3) cosmic; urgency=medium

  * data/apport: Properly handle crashes originating from a PID namespace.
    (LP: #1746668)
    - CVE-2018-6552

 -- Brian Murray <brian@ubuntu.com>  Wed, 30 May 2018 12:01:46 -0700

apport (2.20.10-0ubuntu2) cosmic; urgency=medium

   * etc/apport/crashdb.conf: Enable Launchpad crash reports for cosmic.

 -- Brian Murray <brian@ubuntu.com>  Fri, 11 May 2018 09:51:37 -0700

apport (2.20.10-0ubuntu1) cosmic; urgency=medium

  * New upstream release:
    - backends/packaging-apt-dpkg.py: when using a permanent sandbox better
      check for the package being already available thereby reducing quantity
      of downloads.
    - apport/report.py: Use timeout parameter in subprocess to limit how long
      we'll wait for gdb to return information as gdb can hang with some core
      files.
    - data/apport: Fix PEP8 issues
    - apport/ui.py: Include ProblemType in reports which are updated as
      package hooks may expect the report to have a ProblemType. (LP: #1766794)
    - test/test_ui.py: modify run_crash_kernel test to account for the fact
      that linux-image-$kvers-$flavor is now built from the linux-signed
      source package on amd64 and ppc64el. (LP: #1766740)
  * data/general-hooks/ubuntu.py: Fix UnicodeDecodeError when processing
    DpkgTerminalLog. (LP: #1766337)
  * data/general-hooks/ubuntu.py: Don't display a messy error if python or
    python3 is not installed. (LP: #1769262)
  * debian/apport.links: source_linux-signed.py -> source_linux.py package
    hook (LP: #1766740)
  * data/package-hooks/source_linux.py: Redirect bugs filed about the
    linux-signed source package to linux. (LP: #1766740)

 -- Brian Murray <brian@ubuntu.com>  Thu, 10 May 2018 09:31:34 -0700
