## apport 2.20.10-0ubuntu13.4

=== debian/changelog ===
apport (2.20.10-0ubuntu13.4) cosmic-security; urgency=medium

  * SECURITY UPDATE: TOCTOU issue allows local user to read arbitrary
    files (LP: #1830858)
    - apport/report.py: Avoid TOCTOU issue on users ignore file by
      dropping privileges and then opening the file both test for access and
      open the file in a single operation, instead of using access() before
      reading the file which could be abused by a symlink to cause Apport to
      read and embed an arbitrary file in the resulting crash dump.
    - CVE-2019-7307

 -- Alex Murray <alex.murray@canonical.com>  Thu, 04 Jul 2019 12:05:21 +0930

apport (2.20.10-0ubuntu13.3) cosmic; urgency=medium

  * apport/ui.py: if report.get_timestamp() returns None don't try and use it
    in a comparison. (LP: #1658188)

 -- Brian Murray <brian@ubuntu.com>  Tue, 02 Apr 2019 08:19:10 -0700

apport (2.20.10-0ubuntu13.2) cosmic; urgency=medium

  * debian/apport-autoreport.service: Since this calls whoopsie-upload-all
    which fails if whoopsie isn't running, it should have a relationship with
    whoopsie.service. (LP: #1787729)

 -- Brian Murray <brian@ubuntu.com>  Wed, 16 Jan 2019 11:26:02 -0800

apport (2.20.10-0ubuntu13.1) cosmic; urgency=medium

  * apport/ui.py: when using ubuntu-bug properly handle executables which
    start with /snap/bin. (LP: #1760220)

 -- Brian Murray <brian@ubuntu.com>  Thu, 01 Nov 2018 09:29:24 -0700
