=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.0
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/cosmic/apport/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/disco/apport/ubuntu
 Homepage: https://wiki.ubuntu.com/Apport
 
 Package: apport
@@ -45,8 +45,8 @@
  python3-gi,
  gir1.2-glib-2.0 (>= 1.29.17),
  ${misc:Depends}
-Recommends: apport-symptoms, policykit-1, python3-systemd
-Suggests: apport-gtk | apport-kde
+Recommends: apport-symptoms, python3-systemd
+Suggests: apport-gtk | apport-kde, policykit-1
 Replaces: python-apport (<< 2.2-0ubuntu1), core-dump-handler
 Breaks: python-apport (<< 2.2-0ubuntu1)
 Conflicts: core-dump-handler
@@ -132,6 +132,7 @@
 Architecture: all
 Depends: python3,
  python3-apport (>= ${source:Version}),
+ python3-launchpadlib,
  apt,
  binutils,
  dpkg-dev,
@@ -179,6 +180,7 @@
  apport (>= 0.41),
  procps,
  x-terminal-emulator,
+ whoopsie-preferences,
  ${misc:Depends}
 Recommends: update-notifier, gdb | gdb-minimal
 Description: GTK+ frontend for the apport crash report system
