## apport 2.20.10-0ubuntu27.4

=== debian/changelog ===
apport (2.20.10-0ubuntu27.4) disco; urgency=medium

  * Use an SRU-safe substring when checking for the available version of
    aspell-doc in xenial, since aspell *did* have an SRU. Backported
    from apport 2.20.11-0ubuntu9. (LP: #1851542)

 -- dann frazier <dannf@ubuntu.com>  Wed, 13 Nov 2019 14:12:24 -0800
