## apport 2.20.11-0ubuntu8

=== debian/changelog ===
apport (2.20.11-0ubuntu8) eoan; urgency=medium

  * Removed general hook which would gather information about click packages.
  * data/package-hooks/source_ubiquity: pass on a KeyError when adding
    installation logs.
  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 19.04
    release.

 -- Brian Murray <brian@ubuntu.com>  Wed, 09 Oct 2019 14:23:27 -0700

apport (2.20.11-0ubuntu7) eoan; urgency=medium

  * Resolve pycodestyle issues.

 -- Brian Murray <brian@ubuntu.com>  Mon, 22 Jul 2019 14:23:42 -0700

apport (2.20.11-0ubuntu6) eoan; urgency=medium

  * apport/ui.py: When saving a report for later processing if the filename
    to save it to ends with .gz then gzip the report file. Thanks to Yuan-Chen
    Cheng for the patch. (LP: #1837174)

 -- Brian Murray <brian@ubuntu.com>  Mon, 22 Jul 2019 12:20:34 -0700

apport (2.20.11-0ubuntu5) eoan; urgency=medium

  * SECURITY UPDATE: TOCTOU issue allows local user to read arbitrary
    files (LP: #1830858)
    - apport/report.py: Avoid TOCTOU issue on users ignore file by
      dropping privileges and then opening the file both test for access and
      open the file in a single operation, instead of using access() before
      reading the file which could be abused by a symlink to cause Apport to
      read and embed an arbitrary file in the resulting crash dump.
    - CVE-2019-7307
  * data/general-hooks/ubuntu.py: system-image-cli is no longer included in
    Ubuntu and we do not need SystemImageInfo any more.

 -- Brian Murray <brian@ubuntu.com>  Tue, 09 Jul 2019 12:33:44 -0700

apport (2.20.11-0ubuntu3) eoan; urgency=medium

  * test/test_backend_apt_dpkg.py: Now that there are per architecture cache
    files we need to make all of them outdated rather than just the first one.
    (LP: #1832120)

 -- Brian Murray <brian@ubuntu.com>  Mon, 10 Jun 2019 16:02:32 -0700

apport (2.20.11-0ubuntu2) eoan; urgency=medium

  * test/test_backend_apt_dpkg.py: as of r3211 an error is not raised if the
    binary is not found. Cherry picked from upstream r3248.
  * backends/packaging-apt-dpkg.py: writing the contents mapping pickle file
    can Traceback on systems with little memory so don't write it. Cherry
    picked from upstream r3250.
  * test/test_apport_valgrind.py: skip test_sandbox_cache_options if system
    has little memory.

 -- Brian Murray <brian@ubuntu.com>  Mon, 20 May 2019 18:39:46 -0700

apport (2.20.11-0ubuntu1) eoan; urgency=medium

  * New upstream release:
    - problem_report.py: Decrease zlib compression level from 9 to 6.  After a
      crash, this reduces the time Apport spends compressing the core dump by
      an order of magnitude. Thanks to Anders Kaseorg for the analysis and
      initial patch. (LP: #1537635)
    - backends/packaging-apt-dpkg.py: utilize a global mapping of files to
      packages instead of searching a Contents.gz file multiple times,
      additionally write this mapping to disk so subsequent lookups and
      retraces are quicker. (LP: #1370230)
    - test/test_report.py: add some tests for additional errors with core
      files.
  * debian/control: move python3-launchpadlib from a Suggests to a Depends as
    python3-launchpadlib which was missed some time ago. (LP: #1824002)
  * debian/control: Update VCS attribute.
  * etc/apport/crashdb.conf: Enable Launchpad crash reports for eoan.
  * Incorporate unreleased changes from upstream apport version 2.20.12:
    - backends/packaging-apt-dpkg.py: Utilize a release and architecture
      specific contents mapping.
    - test/test_backend_apt_dpkg.py: Update the test as we are using a
      contents mapping.
    - test/test_report.py: remove unused import of gzip.

 -- Brian Murray <brian@ubuntu.com>  Fri, 17 May 2019 10:51:14 -0700
