=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.0
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/disco/apport/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/eoan/apport/ubuntu
 Homepage: https://wiki.ubuntu.com/Apport
 
 Package: apport
@@ -115,9 +115,9 @@
  python3-problem-report (>= 0.94),
  python3-requests-unixsocket,
  lsb-release,
+ python3-launchpadlib,
  ${misc:Depends}
 Recommends: apport
-Suggests: python3-launchpadlib
 Description: Python 3 library for Apport crash report handling
  This Python package provides high-level functions for creating and
  handling apport crash reports:
