## apport 2.20.11-0ubuntu8.7

=== debian/changelog ===
apport (2.20.11-0ubuntu8.7) eoan; urgency=medium

  * apport/ui.py: Always allow users to use ubuntu-bug or apport-collect
    regardless of the Problem Reporting setting as they are manually invoked
    and not automatically generated like a crash report. (LP: #1814611)

 -- Brian Murray <brian@ubuntu.com>  Wed, 18 Mar 2020 15:21:14 -0700
