## apport 2.20.11-0ubuntu8.9

=== debian/changelog ===
apport (2.20.11-0ubuntu8.9) eoan; urgency=medium

  * apport_python_hook.py: if python apt modules are not built for the python
    version then do capture the crash. (LP: #1774843)

 -- Brian Murray <brian@ubuntu.com>  Wed, 13 May 2020 14:09:52 -0700
