## apport 2.20.11-0ubuntu20

=== debian/changelog ===
apport (2.20.11-0ubuntu20) focal; urgency=medium

  * test/test_report.py: resolve test failure with new glibc output.

 -- Brian Murray <brian@ubuntu.com>  Tue, 10 Mar 2020 08:41:28 -0700

apport (2.20.11-0ubuntu19) focal; urgency=medium

  * apport/report.py: do not return a duplicate signature when we are unable
    to access ProcMaps as that is necessary to create one. (LP: #1866347)
  * apport/ui.py: Always allow users to use ubuntu-bug or apport-collect
    regardless of the Problem Reporting setting as they are manually invoked
    and not automatically generated like a crash report. (LP: #1814611)

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Mar 2020 15:18:42 -0700

apport (2.20.11-0ubuntu18) focal; urgency=medium

  * data/whoopsie-upload-all: append to the crash report using fdopen and open
    from os to cope with protected_regular being set to 1. (LP: #1848064)

 -- Brian Murray <brian@ubuntu.com>  Sat, 22 Feb 2020 06:56:37 -0800

apport (2.20.11-0ubuntu17) focal; urgency=medium

  [ Brian Murray ]
  * Add in a source package hook symlinks for linux-signed-5.4,
    linux-signed-oem-5.4, linux-oem-5.4, and linux-5.4. (LP: #1861446)
  * Remove obsolete package hook for Nexus 7 devices.

  [ Tiago Stürmer Daitx ]
  * Fix Python 2/3 support. (LP: #1853383)

 -- Brian Murray <brian@ubuntu.com>  Fri, 21 Feb 2020 13:16:54 -0800

apport (2.20.11-0ubuntu16) focal; urgency=medium

  * SECURITY REGRESSION: 'module' object has no attribute 'O_PATH'
    (LP: #1851806)
    - apport/report.py, apport/ui.py: use file descriptors for /proc/pid
      directory access only when running under python 3; prevent reading /proc
      maps under python 2 as it does not provide a secure way to do so; use
      io.open for better compatibility between python 2 and 3.
  * data/apport: fix number of arguments passed through socks into a container.
  * test/test_report.py: test login session with both pid and proc_pid_fd.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 06 Jan 2020 13:28:40 +0000

apport (2.20.11-0ubuntu15) focal; urgency=medium

  * etc/apport/crashdb.conf: Enable Launchpad crash reports for focal.

 -- Brian Murray <brian@ubuntu.com>  Fri, 20 Dec 2019 10:35:17 -0800

apport (2.20.11-0ubuntu14) focal; urgency=medium

  * apport/report.py, test/test_report.py: handle the fact that gdb now
    returns a different error message for truncated core files in some cases.
  * bin/oem-getlogs: add in script for getting hardware enablement related
    logs. Thanks to Yuan-Chen Cheng for the code. (LP: #1841157)
  * apport/hookutils.py: also gather lsusb -v and lsusb -t. Thanks to
    Yuan-Chen Cheng for the patch.
  * bin/oem-getlogs: Various pep8 / pyflakes fixes.

 -- Brian Murray <brian@ubuntu.com>  Fri, 13 Dec 2019 08:41:58 -0800

apport (2.20.11-0ubuntu13) focal; urgency=medium

  [ Brian Murray ]
  * Create additional symlinks to the source_linux.py apport package hook for
    many OEM kernels. Thanks to You-Sheng Yang for the patch. (LP: #1847967)

  [ Michael Hudson-Doyle ]
  * Fix autopkgtest failures since recent security update: (LP: #1854237)
    - Fix regression in creating report for crashing setuid process by getting
      kernel to tell us the executable path rather than reading
      /proc/[pid]/exe.
    - Fix deletion of partially written core files.
    - Fix test_get_logind_session to use new API.
    - Restore add_proc_info raising ValueError for a dead process.
    - Delete test_lock_symlink, no longer applicable now that the lock is
      created in a directory only root can write to.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 06 Dec 2019 08:57:09 +1300

apport (2.20.11-0ubuntu12) focal; urgency=medium

  [ Steve Langasek ]
  * Drop python2 bindings.

  [ Tiago Stürmer Daitx ]
  * debian/control: point VCS to focal repository.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 03 Dec 2019 10:46:40 -0800

apport (2.20.11-0ubuntu11) focal; urgency=medium

  * SECURITY REGRESSION: missing argument in Report.add_proc_environ
    call (LP: #1850929)
    - apport/report.py: call add_proc_environ using named arguments
      and move proc_pid_dir keyword to last to keep api compatibility.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 05 Nov 2019 02:49:27 +0000

apport (2.20.11-0ubuntu10) focal; urgency=medium

  * SECURITY UPDATE: apport reads arbitrary files if ~/.config/apport/settings
    is a symlink (LP: #1830862)
    - apport/fileutils.py: drop permissions before reading user settings file.
    - CVE-2019-11481
  * SECURITY UPDATE: TOCTTOU race conditions and following symbolic
    links when creating a core file (LP: #1839413)
    - data/apport: use file descriptor to reference to cwd instead
      of strings.
    - CVE-2019-11482
  * SECURITY UPDATE: fully user controllable lock file due to lock file
    being located in world-writable directory (LP: #1839415)
    - data/apport: create and use lock file from /var/lock/apport.
    - CVE-2019-11485
  * SECURITY UPDATE: per-process user controllable Apport socket file
    (LP: #1839420)
    - data/apport: forward crashes only under a valid uid and gid,
      thanks Stéphane Graber for the patch.
    - CVE-2019-11483
  * SECURITY UPDATE: PID recycling enables an unprivileged user to
    generate and read a crash report for a privileged process (LP: #1839795)
    - data/apport: drop permissions before adding proc info (special thanks
      to Kevin Backhouse for the patch)
    - data/apport, apport/report.py, apport/ui.py: only access or open
      /proc/[pid] through a file descriptor for that directory.
    - CVE-2019-15790

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 29 Oct 2019 05:23:08 +0000

apport (2.20.11-0ubuntu9) focal; urgency=medium

  * Use an SRU-safe substring when checking for the available version of
    aspell-doc in xenial, since aspell *did* have an SRU.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Oct 2019 14:07:14 -0700
