## apport 2.20.11-0ubuntu21

=== debian/changelog ===
apport (2.20.11-0ubuntu21) focal; urgency=medium

  [ Brian Murray ]
  * backends/packaging-apt-dpkg.py: allow mirrors which are accessed via https
    in sources.list. Thanks to Launchpad user Esokrates for the fix.
    (LP: #1866996)
  * backends/packaging-apt-dpkg.py: when downloading packages from Launchpad
    do not require them to be authenticated.
  * test/test_backend_apt_dpkg.py: Fix check for connectivity and modify
    install from PPA test for a change in the PPA being tested.

  [ Matthieu Clemenceau ]
  * test/test_ui.py: Removed linux package version to fix autopkgtest with
    focal. Changed linux-5.4 and linux-signed-5.4 to linux and linux-signed 

 -- Brian Murray <brian@ubuntu.com>  Thu, 12 Mar 2020 15:46:30 -0700
