## apport 2.20.11-0ubuntu27

=== debian/changelog ===
apport (2.20.11-0ubuntu27) focal; urgency=medium

  * backends/packaging-apt-dpkg.py, apport/sandboxutils.py: Add modifications
    to the retracing process to resolve failures to retrace due to user merge
    changes.
  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 20.04
    release.

 -- Brian Murray <brian@ubuntu.com>  Wed, 15 Apr 2020 17:01:49 -0700

apport (2.20.11-0ubuntu26) focal; urgency=medium

  * apport/hookutils.py, data/general-hooks/ubuntu.py: Add in a hook which
    will add the results of the casper-md5check to all bug reports.
    (LP: #1870408)

 -- Brian Murray <brian@ubuntu.com>  Wed, 08 Apr 2020 15:46:56 -0700

apport (2.20.11-0ubuntu25) focal; urgency=medium

  [ Brian Murray ]
  * apport/hookutils.py: Add in "lspci -vt" output for the HWE team.

  [ Dimitri John Ledkov ]
  * data/general-hooks/powerpc.py: Hande reports without a package, such
    as against subiquity snap, otherwise the hook crashes subiquity, which
    is trying to generate a crash report. LP: #1871434
  * data/package-hooks/subiquity.py: Fix typpo in subiquity hook, readline
    from fp, not from filename.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 07 Apr 2020 20:04:10 +0100

apport (2.20.11-0ubuntu24) focal; urgency=medium

  * bin/apport-unpack: Handle gzip'ed files, thanks to Yuan-Chen Cheng for the
    patch. (LP: #1859581)

 -- Brian Murray <brian@ubuntu.com>  Fri, 03 Apr 2020 10:38:06 -0700

apport (2.20.11-0ubuntu23) focal; urgency=medium

  * With Michael Hudson-Doyle add a package hook to allow subiquity problems
    to be reported from the installed system and about the subuquity project.

 -- Brian Murray <brian@ubuntu.com>  Fri, 03 Apr 2020 09:33:54 -0700

apport (2.20.11-0ubuntu22) focal; urgency=medium

  * SECURITY UPDATE: World writable root owned lock file created in user
    controllable location (LP: #1862348)
    - data/apport: Change location of lock file to be directly under
      /var/run so that regular users can not directly access it or perform
      symlink attacks.
    - CVE-2020-8831
  * SECURITY UPDATE: Race condition between report creation and ownership
    (LP: #1862933)
    - data/apport: When setting owner of report file use a file-descriptor
      to the report file instead of its path name to ensure that users can
      not cause Apport to change the ownership of other files via a
      symlink attack.
    - CVE-2020-8833
 -- Alex Murray <alex.murray@canonical.com>  Wed, 25 Mar 2020 11:28:58 +1030
