=== debian/control ===
--- 
+++ 
@@ -9,12 +9,10 @@
  gir1.2-glib-2.0 (>= 1.29.17),
  lsb-release,
  net-tools,
- python-all,
  python3-all
-Build-Depends-Indep: python-distutils-extra (>= 2.24~),
- python3-distutils-extra (>= 2.24~),
- python-apt (>= 0.7.9),
+Build-Depends-Indep: python3-distutils-extra (>= 2.24~),
  python3-apt (>= 0.7.9),
+ dh-python,
  intltool,
  xvfb,
  python3-mock,
@@ -32,9 +30,8 @@
  default-jdk | java-sdk
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Standards-Version: 3.9.8
-X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.0
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/eoan/apport/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/focal/apport/ubuntu
 Homepage: https://wiki.ubuntu.com/Apport
 
 Package: apport
@@ -60,19 +57,6 @@
  handling the crash reports. For desktops, you should consider
  installing the GTK+ or Qt user interface (apport-gtk or apport-kde).
 
-Package: python-problem-report
-Section: python
-Architecture: all
-Depends: ${python:Depends},
- ${misc:Depends}
-Description: Python library to handle problem reports
- This Python library provides an interface for creating, modifying,
- and accessing standardized problem reports for program and kernel
- crashes and packaging bugs.
- .
- These problem reports use standard Debian control format syntax
- (RFC822).
-
 Package: python3-problem-report
 Section: python
 Architecture: all
@@ -85,26 +69,6 @@
  .
  These problem reports use standard Debian control format syntax
  (RFC822).
-
-Package: python-apport
-Section: python
-Architecture: all
-Depends: ${python:Depends},
- python-apt (>= 0.7.9),
- python-httplib2,
- python-problem-report (>= 0.94),
- lsb-release,
- python-launchpadlib (>= 1.5.7),
- ${misc:Depends}
-Recommends: apport
-Description: Python library for Apport crash report handling
- This Python package provides high-level functions for creating and
- handling apport crash reports:
- .
-  * Query available and new reports.
-  * Add OS, packaging, and process runtime information to a report.
-  * Various frontend utility functions.
-  * Python hook to generate crash reports when Python scripts fail.
 
 Package: python3-apport
 Section: python
