=== debian/tests/control ===
Tests: upstream-system
Depends: apport,
 apport-retrace,
 apport-valgrind,
 apport-gtk,
 apport-kde,
 build-essential,
 python-twisted-core,
 python3-mock,
 xvfb,
 xterm,
 dbus-x11,
 at-spi2-core,
 gvfs-daemons,
 gnome-icon-theme,
 libglib2.0-dev,
Restrictions: needs-root, allow-stderr
